# Generated from recaptcha-prx-4.6.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name recaptcha-prx

Name: rubygem-%{gem_name}
Version: 4.6.6
Release: 1%{?dist}
Summary: Helpers for the reCAPTCHA API, updated by PRX to work with Ruby 1.8.7 and Rails 2.3
License: MIT
URL: http://github.com/ambethia/recaptcha
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(mocha) >= 1.4.0
# BuildRequires: rubygem(mocha) < 1.5
# BuildRequires: rubygem(activesupport) >= 2.3.10
# BuildRequires: rubygem(activesupport) < 2.4
# BuildRequires: rubygem(i18n) >= 0.6.11
# BuildRequires: rubygem(i18n) < 0.7
# BuildRequires: rubygem(minitest) >= 5.11.3
# BuildRequires: rubygem(minitest) < 5.12
# BuildRequires: rubygem(minitest-hooks) >= 1.4.2
# BuildRequires: rubygem(minitest-hooks) < 1.5
# BuildRequires: rubygem(webmock) >= 1.24.6
# BuildRequires: rubygem(webmock) < 1.25
# BuildRequires: rubygem(hashdiff) < 0.3.6
# BuildRequires: rubygem(addressable) < 2.4.0
BuildArch: noarch

%description
Helpers for the reCAPTCHA API, updated by PRX to work with Ruby 1.8.7 and
Rails 2.3.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 4.6.6-1
- Initial package
